Uses sysutils;
var
a,b,c,max,maxsl,temp,les1int,les2int,max0:longint;
maxs,a2,b2,c2,les1,les2,les10,les20:ansistring;

Begin
	Readln(a,b,c);
	a2:=inttostr(a);
	b2:=inttostr(b);
	c2:=inttostr(c);
	maxs:=a2;
	maxsl:=length(a2);
	les1:=b2;
	les2:=c2;
	if (length(b2)>maxsl) then
	Begin
		maxsl:=length(b2);
		maxs:=b2;
		les1:=a2;
		les2:=c2;
	end;
	if (length(c2)>maxsl) Then
	Begin
		maxsl:=length(c2);
		maxs:=c2;
		les1:=a2;
		les2:=b2;
	end;
	Repeat les10:=les1+'0' Until Length(les10)=maxsl;
	Repeat les20:=les2+'0' Until Length(les20)=maxsl;
	max:=strtoint(maxs);
	les1int:=strtoint(les1);
	les2int:=strtoint(les2);
	max0:=max;
	if strtoint(les10)>max0 then
	Begin
		temp:=max;
		max:=les1int;
		les1int:=temp;
		temp:=max0;
		max0:=strtoint(les10);
		les10:=inttostr(temp);
	end;
	if strtoint(les20)>max0 then
	Begin
		temp:=max;
		max:=les2int;
		les2int:=temp;
		temp:=max0;
		max0:=strtoint(les20);
		les20:=inttostr(temp);
	end;
	if strtoint(les20)>strtoint(les10) then
	Begin
		temp:=les1int;
		les1int:=les2int;
		les2int:=temp;
	end;

	Write(inttostr(max)+inttostr(les1int)+inttostr(les2int));

End.